public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <junghans@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/votca/
Date: Mon, 21 Feb 2022 16:18:42 +0000 (UTC)	[thread overview]
Message-ID: <1645460316.24d49d50d85c465cabe555d7185fc9f1eed12a59.junghans@gentoo> (raw)

commit:     24d49d50d85c465cabe555d7185fc9f1eed12a59
Author:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 21 16:18:20 2022 +0000
Commit:     Christoph Junghans <junghans <AT> gentoo <DOT> org>
CommitDate: Mon Feb 21 16:18:36 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24d49d50

sci-chemistry/votca: fix python dep

Closes: https://bugs.gentoo.org/833818
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Christoph Junghans <junghans <AT> gentoo.org>

 sci-chemistry/votca/votca-2022.ebuild | 12 +++++++++++-
 sci-chemistry/votca/votca-9999.ebuild | 12 +++++++++++-
 2 files changed, 22 insertions(+), 2 deletions(-)

diff --git a/sci-chemistry/votca/votca-2022.ebuild b/sci-chemistry/votca/votca-2022.ebuild
index a60728a6a6a9..0962e065f91d 100644
--- a/sci-chemistry/votca/votca-2022.ebuild
+++ b/sci-chemistry/votca/votca-2022.ebuild
@@ -2,8 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
 
-inherit bash-completion-r1 cmake
+inherit bash-completion-r1 cmake python-single-r1
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
@@ -25,12 +26,14 @@ HOMEPAGE="https://www.votca.org/"
 LICENSE="Apache-2.0"
 SLOT="0"
 IUSE="+gromacs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 RESTRICT="!test? ( test )"
 
 RDEPEND="
 	!sci-libs/votca-tools
 	!sci-chemistry/votca-csg
 	!sci-chemistry/votca-xtp
+	${PYTHON_DEPS}
 	app-shells/bash:*
 	>=dev-cpp/eigen-3.3
 	dev-libs/boost:=
@@ -47,6 +50,13 @@ BDEPEND="virtual/pkgconfig"
 
 DOCS=( README.rst NOTICE.rst CHANGELOG.rst )
 
+src_prepare() {
+	# espressopp was removed from gentoo
+	rm -r ./csg-tutorials/spce/ibi_espressopp || die
+	python_fix_shebang .
+	cmake_src_prepare
+}
+
 src_configure() {
 	local mycmakeargs=(
 		-DENABLE_TESTING=$(usex test)

diff --git a/sci-chemistry/votca/votca-9999.ebuild b/sci-chemistry/votca/votca-9999.ebuild
index a60728a6a6a9..0962e065f91d 100644
--- a/sci-chemistry/votca/votca-9999.ebuild
+++ b/sci-chemistry/votca/votca-9999.ebuild
@@ -2,8 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
 
-inherit bash-completion-r1 cmake
+inherit bash-completion-r1 cmake python-single-r1
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
@@ -25,12 +26,14 @@ HOMEPAGE="https://www.votca.org/"
 LICENSE="Apache-2.0"
 SLOT="0"
 IUSE="+gromacs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 RESTRICT="!test? ( test )"
 
 RDEPEND="
 	!sci-libs/votca-tools
 	!sci-chemistry/votca-csg
 	!sci-chemistry/votca-xtp
+	${PYTHON_DEPS}
 	app-shells/bash:*
 	>=dev-cpp/eigen-3.3
 	dev-libs/boost:=
@@ -47,6 +50,13 @@ BDEPEND="virtual/pkgconfig"
 
 DOCS=( README.rst NOTICE.rst CHANGELOG.rst )
 
+src_prepare() {
+	# espressopp was removed from gentoo
+	rm -r ./csg-tutorials/spce/ibi_espressopp || die
+	python_fix_shebang .
+	cmake_src_prepare
+}
+
 src_configure() {
 	local mycmakeargs=(
 		-DENABLE_TESTING=$(usex test)


             reply	other threads:[~2022-02-21 16:18 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-21 16:18 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-23 20:37 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/votca/ Sam James
2024-03-24 21:03 Andreas Sturmlechner
2023-12-16 16:17 Arthur Zamarin
2023-05-06 13:36 Pacho Ramos
2022-12-23 16:44 Christoph Junghans
2022-06-13  7:13 Agostino Sarubbo
2022-06-12 12:20 Agostino Sarubbo
2022-02-20 14:58 Christoph Junghans
2022-02-20 14:58 Christoph Junghans
2022-01-16  3:02 Christoph Junghans
2021-12-17  3:08 Christoph Junghans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1645460316.24d49d50d85c465cabe555d7185fc9f1eed12a59.junghans@gentoo \
    --to=junghans@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox